You are here

Luminis IV on RedHat AS5

Submitted by krugan on Wed, 05/25/2011 - 12:36

Has anyone had luck installing Luminis 4 on RedHat AS5? I'm attempting a single developer box installation with Oracle 10G2 and Luminis 4.3.0 on AS5. I've followed the instructions in the RedHat 4 installation guide with a few tweaks.

Below are my instructions to date:

Prepare by installing the following roles:
yum groupinstall "GNOME Desktop Environment" "Graphical Internet" "Development Libraries" "Development Tools" "GNOME Software Development" "Java Development" "Legacy Software Development" "X Software Development" "Sever Configuration Tools" "Web Server" "Windows File Server" "Administration Tools" "Base" "Java" "Legacy Software Support" "System Tools" "X Window System"

These extra libraries are required to install LP4:
yum install compat-db-4.2.52-5.1.i386 sysstat-7.0.2-1.el5.i386 libaio-devel-0.3.106-3.2 libXp-1.0.0-8.1.el5.i386

Oracle Installation Mods are in the attached oinstall.sh script. This is just your standard oracle environment setup. Oracle users .bashrc is also attached.

Install Oracle. (Your on your own for that part.)

Setup our luminis standard user:
adduser lumadmin
add sourcing the luminis environment to it's .bashrc `. /opt/luminis/.cprc
set the users password.... something secure this time please.

Prep for the Luminis installation:
Write out the .conf file for the luminis installation. A sample is attached to this doc. Place it in lumadmin's homedir.

Copy over the Luminis installation:
You can put them in root's home dir. The install has to be run as root.

Extra Environment Setup:
touch /etc/hosts

Add an entry for whatever A Record you want your luminis installation to stick to:

Example:
140.211.91.87 sulu-lp4.sou.edu

Additionally in order to patch to 4.3.0 I had to comment out

In the /opt/luminis/bin/rc/75-apache because assuming a certain type of older kernel is deprecated in RedHat AS5 and newer.

# This is only for the Oracle WebGate for Linux
#if [ "`uname -s`" = "Linux" ]
#$then
# #export LD_ASSUME_KERNEL=2.4.19
#fi

I'm hoping to be able to make a VM template with unattend installation of Luminis using puppet and cobbler. After patching to 4.3.0 though I get the error that uPortal isn't working properly.

Sorry, but uPortal encountered an error that is preventing it from rendering. The error must be corrected by system administrators. Try again later.

Any help from the LD Community is most appreciated. I'll certainly share kixstarts and puppet configs when I'm done.

Luminis Version:

We're during a full-on automated deploy of Luminis 4.2.1 (4.3 on 64 bit RHEL 6 is our stretch target) using Cobbler & Puppet in a Red Hat 5 32-bit/VMware/ESXi/SAN environment. We have working code (thanks for your tips, they helped!). Once we've cut over (fall) we'll likely share how we built our deployment infrastructure, documentation and code included.

Do you have any plans to move to LP5 and develop a puppet/cobbler scripted install?

I am happy to report that we're well underway with Cobbler/Puppet/Luminis/Banner automated deployment. At this point our users have started testing INB and SSB. Though we're at Luminis IV/RHEL 5, our deployment infrastructure is working well for us and it seems reasonable to be optimistic about automating Luminis 5, having already automated Windows DNS/RHEL 5/RHEL 6/Oracle 11g/OFM/Banner INB/Banner SSB/Luminis IV/... and assorted other pieces. We haven't yet started the Luminis middle tier or hoisted a standalone jobsub server, but we've slated those to happen soon.

Chas, there's no messaging via lumdev but hopefully replying to a post from 2013 isn't as hopeless as it looks...

We're just now getting started w/ deployment of Lum5 and Puppet (3.8) and I would love to be able to crib off your modules (inc. your Banner stuff?). If you end up seeing this and would be willing to talk, my email is dillon_at_etsu_edu.